This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 727583 - fileconflicts failure in 16-Alpha.TC1 DVDs - report/libreport
fileconflicts failure in 16-Alpha.TC1 DVDs - report/libreport
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On: 727402
Blocks: F16Alpha/F16AlphaBlocker
  Show dependency treegraph
 
Reported: 2011-08-02 10:22 EDT by Bill Nottingham
Modified: 2014-03-16 23:28 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 727402
Environment:
Last Closed: 2011-08-08 15:06:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2011-08-02 10:22:48 EDT
+++ This bug was initially created as a clone of Bug #727402 +++

Description of problem:

On i386:

Getting complete filelist for:
file:///media/
383516 files found.

Looking for duplicated filenames:
335 duplicates found.

Doing more advanced checks to see if these are real conflicts:
  5% complete (    16/   335,   119/sec),    2 found - eta 0:00:02
 10% complete (    32/   335,    95/sec),    4 found - eta 0:00:02
 14% complete (    48/   335,   143/sec),    6 found - eta 0:00:02
 19% complete (    64/   335,   154/sec),    8 found - eta 0:00:02
 24% complete (    80/   335,   139/sec),   10 found - eta 0:00:02
 29% complete (    96/   335,   151/sec),   13 found - eta 0:00:01
 33% complete (   112/   335,   133/sec),   15 found - eta 0:00:01
 38% complete (   128/   335,   131/sec),   20 found - eta 0:00:01
 43% complete (   144/   335,   125/sec),   24 found - eta 0:00:01
 48% complete (   160/   335,   252/sec),   25 found - eta 0:00:01
 53% complete (   176/   335,   116/sec),   31 found - eta 0:00:01
 57% complete (   192/   335,   303/sec),   34 found - eta 0:00:01
 62% complete (   208/   335,   130/sec),   36 found - eta 0:00:00
 67% complete (   224/   335,   168/sec),   37 found - eta 0:00:00
 72% complete (   240/   335,    72/sec),   40 found - eta 0:00:00
 76% complete (   256/   335,   120/sec),   43 found - eta 0:00:00
 81% complete (   272/   335,   200/sec),   45 found - eta 0:00:00
 86% complete (   288/   335,   118/sec),   48 found - eta 0:00:00
 91% complete (   304/   335,   127/sec),   52 found - eta 0:00:00
 96% complete (   320/   335,   104/sec),   57 found - eta 0:00:00
61 file conflicts found.
1 package conflicts found.

== Package conflicts ==
kate-libs-4.7.0-1.fc16.i686
kdesdk-libs-4.6.95-1.fc16.i686


== File conflicts, listed by conflicting packages ==
libreport-python-2.0.5-2.fc16.i686
report-newt-0.23-0.fc16.i686
  /usr/lib/python2.7/site-packages/report/io/NewtIO.py
  /usr/lib/python2.7/site-packages/report/io/NewtIO.pyc
  /usr/lib/python2.7/site-packages/report/io/NewtIO.pyo

kate-4.7.0-1.fc16.i686
kdesdk-4.6.95-1.fc16.i686
  /usr/bin/kate
  /usr/bin/ktesnippets_editor
  /usr/lib/kde4/kate_kttsd.so
  /usr/lib/kde4/katebacktracebrowserplugin.so
  /usr/lib/kde4/katebuildplugin.so
  /usr/lib/kde4/katectagsplugin.so
  /usr/lib/kde4/kateexternaltoolsplugin.so
  /usr/lib/kde4/katefilebrowserplugin.so
  /usr/lib/kde4/katefiletemplates.so
  /usr/lib/kde4/katefiletreeplugin.so
  /usr/lib/kde4/katefindinfilesplugin.so
  /usr/lib/kde4/kategdbplugin.so
  /usr/lib/kde4/katekonsoleplugin.so
  /usr/lib/kde4/katemailfilesplugin.so
  /usr/lib/kde4/kateopenheaderplugin.so
  /usr/lib/kde4/katequickdocumentswitcherplugin.so
  /usr/lib/kde4/katesearchplugin.so
  /usr/lib/kde4/katesnippets_tngplugin.so
  /usr/lib/kde4/katesqlplugin.so
  /usr/lib/kde4/katesymbolviewerplugin.so
  /usr/lib/kde4/katetabbarextensionplugin.so
  /usr/lib/kde4/katetabifyplugin.so
  /usr/lib/kde4/katetextfilterplugin.so
  /usr/lib/kde4/katexmlcheckplugin.so
  /usr/lib/kde4/katexmltoolsplugin.so
  /usr/lib/kde4/plasma_applet_katesession.so
  /usr/lib/libkdeinit4_kate.so
  /usr/share/applications/kde4/kate.desktop
  /usr/share/applications/kde4/ktesnippets_editor.desktop
  /usr/share/doc/HTML/en/kate/index.cache.bz2
  /usr/share/kde4/services/kate_kttsd.desktop
  /usr/share/kde4/services/katebacktracebrowserplugin.desktop
  /usr/share/kde4/services/katebuildplugin.desktop
  /usr/share/kde4/services/katectagsplugin.desktop
  /usr/share/kde4/services/kateexternaltoolsplugin.desktop
  /usr/share/kde4/services/katefilebrowserplugin.desktop
  /usr/share/kde4/services/katefiletemplates.desktop
  /usr/share/kde4/services/katefiletreeplugin.desktop
  /usr/share/kde4/services/katefindinfilesplugin.desktop
  /usr/share/kde4/services/kategdbplugin.desktop
  /usr/share/kde4/services/katekonsoleplugin.desktop
  /usr/share/kde4/services/katemailfilesplugin.desktop
  /usr/share/kde4/services/kateopenheader.desktop
  /usr/share/kde4/services/katequickdocumentswitcher.desktop
  /usr/share/kde4/services/katesearch.desktop
  /usr/share/kde4/services/katesnippets_tngplugin.desktop
  /usr/share/kde4/services/katesql.desktop
  /usr/share/kde4/services/katesymbolviewer.desktop
  /usr/share/kde4/services/katetabbarextension.desktop
  /usr/share/kde4/services/katetabifyplugin.desktop
  /usr/share/kde4/services/katetextfilter.desktop
  /usr/share/kde4/services/katexmlcheck.desktop
  /usr/share/kde4/services/katexmltools.desktop
  /usr/share/kde4/services/plasma-applet-katesession.desktop
  /usr/share/kde4/servicetypes/kateplugin.desktop

libreport-python-2.0.5-2.fc16.i686
report-gtk-0.23-0.fc16.i686
  /usr/lib/python2.7/site-packages/report/io/GTKIO.py
  /usr/lib/python2.7/site-packages/report/io/GTKIO.pyc
  /usr/lib/python2.7/site-packages/report/io/GTKIO.pyo


On x86_64:

Getting complete filelist for:
file:///media/
383394 files found.

Looking for duplicated filenames:
341 duplicates found.

Doing more advanced checks to see if these are real conflicts:
  5% complete (    17/   341,   135/sec),    1 found - eta 0:00:02
 10% complete (    34/   341,   117/sec),    3 found - eta 0:00:02
 15% complete (    51/   341,   163/sec),    4 found - eta 0:00:02
 20% complete (    68/   341,   210/sec),    6 found - eta 0:00:01
 25% complete (    85/   341,   100/sec),   14 found - eta 0:00:01
 30% complete (   102/   341,   149/sec),   18 found - eta 0:00:01
 35% complete (   119/   341,   105/sec),   19 found - eta 0:00:01
 40% complete (   136/   341,   146/sec),   23 found - eta 0:00:01
 45% complete (   153/   341,   176/sec),   25 found - eta 0:00:01
 50% complete (   170/   341,   180/sec),   28 found - eta 0:00:01
 55% complete (   187/   341,   387/sec),   31 found - eta 0:00:01
 60% complete (   204/   341,   193/sec),   33 found - eta 0:00:00
 65% complete (   221/   341,   124/sec),   37 found - eta 0:00:00
 70% complete (   238/   341,   124/sec),   38 found - eta 0:00:00
 75% complete (   255/   341,   178/sec),   43 found - eta 0:00:00
 80% complete (   272/   341,   200/sec),   44 found - eta 0:00:00
 85% complete (   289/   341,   102/sec),   49 found - eta 0:00:00
 90% complete (   306/   341,   105/sec),   54 found - eta 0:00:00
 95% complete (   323/   341,   134/sec),   59 found - eta 0:00:00
100% complete (   340/   341,   126/sec),   61 found - eta 0:00:00
61 file conflicts found.
1 package conflicts found.

== Package conflicts ==
kate-libs-4.7.0-1.fc16.x86_64
kdesdk-libs-4.6.95-1.fc16.x86_64


== File conflicts, listed by conflicting packages ==
kate-4.7.0-1.fc16.x86_64
kdesdk-4.6.95-1.fc16.x86_64
  /usr/bin/kate
  /usr/bin/ktesnippets_editor
  /usr/lib64/kde4/kate_kttsd.so
  /usr/lib64/kde4/katebacktracebrowserplugin.so
  /usr/lib64/kde4/katebuildplugin.so
  /usr/lib64/kde4/katectagsplugin.so
  /usr/lib64/kde4/kateexternaltoolsplugin.so
  /usr/lib64/kde4/katefilebrowserplugin.so
  /usr/lib64/kde4/katefiletemplates.so
  /usr/lib64/kde4/katefiletreeplugin.so
  /usr/lib64/kde4/katefindinfilesplugin.so
  /usr/lib64/kde4/kategdbplugin.so
  /usr/lib64/kde4/katekonsoleplugin.so
  /usr/lib64/kde4/katemailfilesplugin.so
  /usr/lib64/kde4/kateopenheaderplugin.so
  /usr/lib64/kde4/katequickdocumentswitcherplugin.so
  /usr/lib64/kde4/katesearchplugin.so
  /usr/lib64/kde4/katesnippets_tngplugin.so
  /usr/lib64/kde4/katesqlplugin.so
  /usr/lib64/kde4/katesymbolviewerplugin.so
  /usr/lib64/kde4/katetabbarextensionplugin.so
  /usr/lib64/kde4/katetabifyplugin.so
  /usr/lib64/kde4/katetextfilterplugin.so
  /usr/lib64/kde4/katexmlcheckplugin.so
  /usr/lib64/kde4/katexmltoolsplugin.so
  /usr/lib64/kde4/plasma_applet_katesession.so
  /usr/lib64/libkdeinit4_kate.so
  /usr/share/applications/kde4/kate.desktop
  /usr/share/applications/kde4/ktesnippets_editor.desktop
  /usr/share/doc/HTML/en/kate/index.cache.bz2
  /usr/share/kde4/services/kate_kttsd.desktop
  /usr/share/kde4/services/katebacktracebrowserplugin.desktop
  /usr/share/kde4/services/katebuildplugin.desktop
  /usr/share/kde4/services/katectagsplugin.desktop
  /usr/share/kde4/services/kateexternaltoolsplugin.desktop
  /usr/share/kde4/services/katefilebrowserplugin.desktop
  /usr/share/kde4/services/katefiletemplates.desktop
  /usr/share/kde4/services/katefiletreeplugin.desktop
  /usr/share/kde4/services/katefindinfilesplugin.desktop
  /usr/share/kde4/services/kategdbplugin.desktop
  /usr/share/kde4/services/katekonsoleplugin.desktop
  /usr/share/kde4/services/katemailfilesplugin.desktop
  /usr/share/kde4/services/kateopenheader.desktop
  /usr/share/kde4/services/katequickdocumentswitcher.desktop
  /usr/share/kde4/services/katesearch.desktop
  /usr/share/kde4/services/katesnippets_tngplugin.desktop
  /usr/share/kde4/services/katesql.desktop
  /usr/share/kde4/services/katesymbolviewer.desktop
  /usr/share/kde4/services/katetabbarextension.desktop
  /usr/share/kde4/services/katetabifyplugin.desktop
  /usr/share/kde4/services/katetextfilter.desktop
  /usr/share/kde4/services/katexmlcheck.desktop
  /usr/share/kde4/services/katexmltools.desktop
  /usr/share/kde4/services/plasma-applet-katesession.desktop
  /usr/share/kde4/servicetypes/kateplugin.desktop

libreport-python-2.0.5-2.fc16.x86_64
report-gtk-0.23-0.fc16.x86_64
  /usr/lib64/python2.7/site-packages/report/io/GTKIO.py
  /usr/lib64/python2.7/site-packages/report/io/GTKIO.pyc
  /usr/lib64/python2.7/site-packages/report/io/GTKIO.pyo

libreport-python-2.0.5-2.fc16.x86_64
report-newt-0.23-0.fc16.x86_64
  /usr/lib64/python2.7/site-packages/report/io/NewtIO.py
  /usr/lib64/python2.7/site-packages/report/io/NewtIO.pyc
  /usr/lib64/python2.7/site-packages/report/io/NewtIO.pyo


Version-Release number of selected component (if applicable):
16-Alpha.TC1 DVDs

--- Additional comment from hoyang@redhat.com on 2011-08-02 01:53:38 EDT ---

Looking for duplicated filenames:
335 duplicates found.

Doing more advanced checks to see if these are real conflicts:
  5% complete (    16/   335,   229/sec),    2 found - eta 0:00:01
 10% complete (    32/   335,   224/sec),    4 found - eta 0:00:01
 14% complete (    48/   335,   265/sec),    6 found - eta 0:00:01
 19% complete (    64/   335,   290/sec),    8 found - eta 0:00:01
 24% complete (    80/   335,   235/sec),   10 found - eta 0:00:01
 29% complete (    96/   335,   276/sec),   13 found - eta 0:00:00
 33% complete (   112/   335,   209/sec),   15 found - eta 0:00:00
 38% complete (   128/   335,   263/sec),   20 found - eta 0:00:00
 43% complete (   144/   335,   252/sec),   24 found - eta 0:00:00
 48% complete (   160/   335,   472/sec),   25 found - eta 0:00:00
 53% complete (   176/   335,   277/sec),   31 found - eta 0:00:00
 57% complete (   192/   335,   534/sec),   34 found - eta 0:00:00
 62% complete (   208/   335,   300/sec),   36 found - eta 0:00:00
 67% complete (   224/   335,   325/sec),   37 found - eta 0:00:00
 72% complete (   240/   335,   167/sec),   40 found - eta 0:00:00
 76% complete (   256/   335,   306/sec),   43 found - eta 0:00:00
 81% complete (   272/   335,   366/sec),   45 found - eta 0:00:00
 86% complete (   288/   335,   247/sec),   48 found - eta 0:00:00
 91% complete (   304/   335,   213/sec),   52 found - eta 0:00:00
 96% complete (   320/   335,   194/sec),   57 found - eta 0:00:00
61 file conflicts found.
1 package conflicts found.

== Package conflicts ==
kate-libs-4.7.0-1.fc16.i686
kdesdk-libs-4.6.95-1.fc16.i686


== File conflicts, listed by conflicting packages ==
libreport-python-2.0.5-2.fc16.i686
report-newt-0.23-0.fc16.i686
  /usr/lib/python2.7/site-packages/report/io/NewtIO.py
  /usr/lib/python2.7/site-packages/report/io/NewtIO.pyc
  /usr/lib/python2.7/site-packages/report/io/NewtIO.pyo

kate-4.7.0-1.fc16.i686
kdesdk-4.6.95-1.fc16.i686
  /usr/bin/kate
  /usr/bin/ktesnippets_editor
  /usr/lib/kde4/kate_kttsd.so
  /usr/lib/kde4/katebacktracebrowserplugin.so
  /usr/lib/kde4/katebuildplugin.so
  /usr/lib/kde4/katectagsplugin.so
  /usr/lib/kde4/kateexternaltoolsplugin.so
  /usr/lib/kde4/katefilebrowserplugin.so
  /usr/lib/kde4/katefiletemplates.so
  /usr/lib/kde4/katefiletreeplugin.so
  /usr/lib/kde4/katefindinfilesplugin.so
  /usr/lib/kde4/kategdbplugin.so
  /usr/lib/kde4/katekonsoleplugin.so
  /usr/lib/kde4/katemailfilesplugin.so
  /usr/lib/kde4/kateopenheaderplugin.so
  /usr/lib/kde4/katequickdocumentswitcherplugin.so
  /usr/lib/kde4/katesearchplugin.so
  /usr/lib/kde4/katesnippets_tngplugin.so
  /usr/lib/kde4/katesqlplugin.so
  /usr/lib/kde4/katesymbolviewerplugin.so
  /usr/lib/kde4/katetabbarextensionplugin.so
  /usr/lib/kde4/katetabifyplugin.so
  /usr/lib/kde4/katetextfilterplugin.so
  /usr/lib/kde4/katexmlcheckplugin.so
  /usr/lib/kde4/katexmltoolsplugin.so
  /usr/lib/kde4/plasma_applet_katesession.so
  /usr/lib/libkdeinit4_kate.so
  /usr/share/applications/kde4/kate.desktop
  /usr/share/applications/kde4/ktesnippets_editor.desktop
  /usr/share/doc/HTML/en/kate/index.cache.bz2
  /usr/share/kde4/services/kate_kttsd.desktop
  /usr/share/kde4/services/katebacktracebrowserplugin.desktop
  /usr/share/kde4/services/katebuildplugin.desktop
  /usr/share/kde4/services/katectagsplugin.desktop
  /usr/share/kde4/services/kateexternaltoolsplugin.desktop
  /usr/share/kde4/services/katefilebrowserplugin.desktop
  /usr/share/kde4/services/katefiletemplates.desktop
  /usr/share/kde4/services/katefiletreeplugin.desktop
  /usr/share/kde4/services/katefindinfilesplugin.desktop
  /usr/share/kde4/services/kategdbplugin.desktop
  /usr/share/kde4/services/katekonsoleplugin.desktop
  /usr/share/kde4/services/katemailfilesplugin.desktop
  /usr/share/kde4/services/kateopenheader.desktop
  /usr/share/kde4/services/katequickdocumentswitcher.desktop
  /usr/share/kde4/services/katesearch.desktop
  /usr/share/kde4/services/katesnippets_tngplugin.desktop
  /usr/share/kde4/services/katesql.desktop
  /usr/share/kde4/services/katesymbolviewer.desktop
  /usr/share/kde4/services/katetabbarextension.desktop
  /usr/share/kde4/services/katetabifyplugin.desktop
  /usr/share/kde4/services/katetextfilter.desktop
  /usr/share/kde4/services/katexmlcheck.desktop
  /usr/share/kde4/services/katexmltools.desktop
  /usr/share/kde4/services/plasma-applet-katesession.desktop
  /usr/share/kde4/servicetypes/kateplugin.desktop

libreport-python-2.0.5-2.fc16.i686
report-gtk-0.23-0.fc16.i686
  /usr/lib/python2.7/site-packages/report/io/GTKIO.py
  /usr/lib/python2.7/site-packages/report/io/GTKIO.pyc
  /usr/lib/python2.7/site-packages/report/io/GTKIO.pyo
Comment 1 Jiri Moskovcak 2011-08-03 04:49:34 EDT
libreport-2.0.5-2 obsoletes report < 0.23-1 so even they have the same files, it shouldn't be possible to hit a file conflict.
Comment 2 Bill Nottingham 2011-08-03 12:02:16 EDT
Should report be blocked and retired?
Comment 3 Tim Flink 2011-08-04 16:19:19 EDT
This squarely hits the following Fedora 16 alpha release criterion [1]:

There must be no file conflicts (cases where the files in some packages conflict but the packages have explicit Conflicts: tags are acceptable) or unresolved package dependencies during a media-based (DVD) install.

+1 Alpha Blocker

[1] http://fedoraproject.org/wiki/Fedora_16_Alpha_Release_Criteria
Comment 4 Adam Williamson 2011-08-04 18:48:36 EDT
jiri: does it also provide everything 'report' provided? if not, other things may still bring in report as a dependency. orphaning another package doesn't automatically kill it.
Comment 5 Jiri Moskovcak 2011-08-05 04:07:30 EDT
These packages depend on report:

setroubleshoot-0:3.0.31-1.fc15.x86_64
python-meh-0:0.11-2.fc15.noarch
-> anaconda-0:15.31-1.fc15.x86_64
-> firstboot-0:1.119-1.fc15.x86_64
-> system-config-kickstart-0:2.8.7-2.fc15.noarch

I tested sealert and Anaconda (works with git version, I will push a new update to Fedora today). Will try the rest of the packages today - they should work as they use report thru python-meh as Anaconda does. And I try to reach gavin (the report maintainer) to discuss retiring report.

Btw, the libreport obsoletes report package and I didn't hit any conflicts updating to libreport when I had report installed, so even these packages have the same files, it's not possible to hit the file conflict.
Comment 6 Jiri Moskovcak 2011-08-05 06:34:53 EDT
oh, I see, if there is a newer report version released then it will conflict on update...
Comment 7 Adam Williamson 2011-08-05 11:02:39 EDT
yeah, that sounds like it could be the issue, if the obsoletes was versioned (as it should be).

the other situation can be like this:

package 'foo' provides 'acme'
package 'newfoo' obsoletes package 'foo', but does not provide 'acme'
package 'bar' depends on 'acme'
package 'bar' is on the DVD

in that case, 'foo' will be pulled into the DVD even though 'newfoo' obsoletes it (and there are other, similar circumstances where the above case causes problems). that's why packages which obsolete other packages should usually provide everything they provide too.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Tim Flink 2011-08-05 14:18:09 EDT
Discussed in the 2011-08-05 blocker review meeting. Accepted as a Fedora 16 alpha blocker as it violates the following alpha release criterion [1]:

There must be no file conflicts (cases where the files in some packages
conflict but the packages have explicit Conflicts: tags are acceptable) or unresolved package dependencies during a media-based (DVD) install.

[1] https://fedoraproject.org/wiki/Fedora_16_Alpha_Release_Criteria
Comment 9 Adam Williamson 2011-08-08 15:06:35 EDT
I believe we can close this as RC1 has superseded TC1 and we have a new ticket for RC1 file conflicts: https://bugzilla.redhat.com/show_bug.cgi?id=728657 .

Note You need to log in before you can comment on or make changes to this bug.